=== debian/changelog ===
ros-dashing-py-trees-ros-interfaces (1.2.0-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 01 Oct 2019 04:09:03 -0000
