=== debian/control ===
Source: ros-dashing-py-trees-ros-interfaces
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-action-msgs, ros-dashing-ament-cmake, ros-dashing-ament-lint-common, ros-dashing-diagnostic-msgs, ros-dashing-geometry-msgs, ros-dashing-rosidl-default-generators, ros-dashing-unique-identifier-msgs, ros-dashing-ros-workspace, ros-dashing-rmw-connext-cpp, ros-dashing-rmw-fastrtps-cpp, ros-dashing-rmw-implementation, ros-dashing-rmw-opensplice-cpp, ros-dashing-rosidl-typesupport-connext-c, ros-dashing-rosidl-typesupport-connext-cpp, ros-dashing-rosidl-typesupport-opensplice-c, ros-dashing-rosidl-typesupport-opensplice-cpp
Homepage: http://ros.org/wiki/py_trees_ros_interfaces
Standards-Version: 3.9.2

Package: ros-dashing-py-trees-ros-interfaces
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-action-msgs, ros-dashing-diagnostic-msgs, ros-dashing-geometry-msgs, ros-dashing-rosidl-default-runtime, ros-dashing-unique-identifier-msgs, ros-dashing-ros-workspace
Description: Interfaces used by py_trees_ros and py_trees_ros_tutorials.
